import axios from "@/utils/request";

// 获取商家列表
export async function getBusinessList(params) {
  const res = await axios.get("/api/v1/goods/background/ota_list", {
    params
  });
  return res;
}

// 添加商品
export async function addGoods(params) {
  const res = await axios.post("/api/v1/goods/background/add_goods", params);
  return res;
}

// 商品库列表
export async function pindanGoods(params) {
  const res = await axios.get("/api/v1/goods/background/pindan_goods", {
    params
  });
  return res;
}
class ActivityService {
  // 获取活动列表
  static async getActivityList(params) {
    const res = await axios.get("/api/v1/marketing/background/marketing_list", {
      params
    });
    return res;
  }

  // 修改商品
  static async editGoodsDetail(query) {
    const res = await axios.post("/api/v1/goods/background/edit_goods", {
      ...query
    });
    return res;
  }
  // 关闭/开启 活动
  static async updateActivity(query) {
    const res = await axios.post(
      "/api/v1/marketing/background/update_marketing",
      {
        ...query
      }
    );
    return res;
  }

  // 查看活动订单
  static async checkActivityDetail(query) {
    const res = await axios.post(
      "/api/v1/marketing/background/marketing_info",
      {
        ...query
      }
    );
    return res;
  }
}

export default ActivityService;
